CreateCasClient
CreateCasClient
POST
/zstack/v1/create/cas/clientOperation ID
CreateCasClientSince
4.5.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsstructureObjectRequiredparamsstructure request body object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
casServerLoginUrlStringRequiredcasServerLoginUrl.
casServerUrlPrefixStringRequiredcasServerUrlPrefix.
serverNameStringRequiredThe mn address (http://{mn_ip:port}/8080).
loginTypeStringRequiredThe login type: cas-iam1 cas-ima2 oauth2-iam1 oauth2-iam2
urlTemplateStringOptional. The address skipped to after the password-free login.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tag.
userTagsListOptional. The user tag.
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields paramsstructureView API
